package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.api.commons.enums.PublishStatus;
import cn.com.qmth.examcloud.core.examwork.dao.entity.NoticePublishScheduleEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import java.util.List;

public interface NoticePublishScheduleRepo extends JpaRepository<NoticePublishScheduleEntity, Long>,
        QueryByExampleExecutor<NoticePublishScheduleEntity>, JpaSpecificationExecutor<NoticePublishScheduleEntity> {
    List<NoticePublishScheduleEntity> findByRootOrgIdAndPublishStatus(Long rootOrgId, PublishStatus publishStatus);
}
