/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:03.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.enums.PublishStatus;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 公告查询类
 */
@ApiModel
public class NoticeInfoQuery implements JsonSerializable {

    private static final long serialVersionUID = -1962646957678995495L;

    private Long rootOrgId;
    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;
    /**
     * 发送状态
     */
    @ApiModelProperty("发送状态")
    private PublishStatus publishStatus;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public PublishStatus getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(PublishStatus publishStatus) {
        this.publishStatus = publishStatus;
    }
}